petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexConstructCohesiveCells

Construct cohesive cells which split the face along an internal interface

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexConstructCohesiveCells(DM dm, DMLabel label, DM *dmSplit)

Collective on dm Many br

### Input Parameters

| dm | - The original DM Many br
| label | - The label specifying the boundary faces (this could be auto-generated) Many br

### Output Parameters

dmSplit -The new DM Many br

Many br

### See Also

DMCreate(), DMPlexLabelCohesiveComplete()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages